Bug 47177 - Installer hangs after identifying IDE0 units
Installer hangs after identifying IDE0 units
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-03 16:57 EDT by kendall.norris
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-10 12:27:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kendall.norris 2001-07-03 16:57:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
I can not install 7.1 but 6.1 will install.  The computer is a industrial 
chassis with a SBC/233 Pentium. It has a Ultra DMA/33 IDE interface.  The 
last 3 lines displayed are: 
hda: FUJITSU MPB3032ATU, ATA DISK drive
hdb: PLEXTOR CD-R PX-W8432T, ATAPI CD/DVD-ROM DRIVE
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
I have 7.1 loaded on another computer (desktop) and I put this drive into 
the industrial computer and I get the same error.

How reproducible:
Always

Steps to Reproduce:
1.install cd-rom and initiate the installation
2.
3.
	

Actual Results:  Can't install.

Expected Results:  Duh!

Additional info:

We use the industrial computers to control automated test equipment.  
RedHat6.1 can be used but my development efforts have been on 7.1 and I 
want to use the 2.4 kernel.  This really is a problem.
Comment 1 andrew.simpson 2001-07-07 16:15:50 EDT
Same problem exactly with AMD K6 200 with SiS 5597 chipset and Seagate U series drive (10 Gb).

RedHat 6.2 installs and loads fine.  Running RedHat 7.1 installer with kernel parameter hda=noprobe gets around the bug - but installer can't then see the HDD to install onto!  Running installer with kernel parameter for cylinder/head/sector info doesn't help.

Motherboard manual states board (Asus SP97-V) will accept HDD greater than 8.4 Gb.
Comment 2 andrew.simpson 2001-07-08 16:34:56 EDT
O.K., I seem to have resolved this one - at least on my machine anyway.

The SiS 5597/5598 chips (and others in this series?) mis-report the HDD
partition sizes. The manufacturers' sites are very vague, but there are 
hints of the issue in Deja News, the SiS website and the Asus ftp site BIOS
changelog for my motherboard.

A BIOS update was issued late 1998.  I flashed this into my board and voila!

Strangely, from my experience this only affects the 2.4 kernel. The 2.4
kernel adds a specific SiS driver - this could be why...?

Kendall - your boards are clearly the same vintage as mine.  Similar
problem?
Comment 3 Brent Fox 2001-07-10 12:27:12 EDT
Kendall-

  Try booting the installer with 'linux ide=nodma'.  Does that help?
Comment 4 Brent Fox 2001-07-20 18:05:06 EDT
Closing due to inactivity. Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.